:root {
--dynamic-height: 76px; /* Default value */
}

body {
    font-family: "Times New Roman", Times, serif;
    /*font-family: "Open Sans", sans-serif;*/
    color: black;
    background: /*#F2F4F4*/ white !important;
    scroll-behavior: auto;
    scroll-behavior: smooth;
}

.nav-link {
    color:  #8c7356 !important; 
    font-size: medium !important;
}

.nav-link:hover {
    color: #611205 !important;
    font-weight: bold !important;
    transform: scale(1.2) !important;
    cursor: pointer !important;
}

.nav-link-active{
    color: #611205 !important;
    font-weight: bold !important;
    transform: scale(1.2) !important;
}

.contenedor  .sec{
    width: auto; /* Ancho del div */
    height: auto; /* Alto del div */
    overflow: hidden; /* Oculta el contenido que exceda */
}

img.contenedor {
    width: 100%;
    height: 100%;
    object-fit: cover; /* Ajusta la imagen al tamaño del div */
    object-position: center; /* Centra la imagen */
}

.gradient {
    background: linear-gradient(to right, #BF953F, #FCF6BA, /*#B38728, #FBF5B7,*/ #AA7721)
}

img.flip-horizontally{
    animation-name: fa-flip;
    animation-delay: var(--fa-animation-delay, 0s);
    animation-direction: var(--fa-animation-direction, normal);
    animation-duration: var(--fa-animation-duration, 1s);
    animation-iteration-count: var(--fa-animation-iteration-count, infinite);
    animation-timing-function: var(--fa-animation-timing, ease-in-out);
}

.col-slider{
    padding: 0%;
}

.row{   
    margin: 0px;
}

.menu-fixed{
    position:fixed;
    z-index:9999;
    padding-top: 0%;
    width: 100%;
}

section{
    padding-top: calc(var(--dynamic-height));
}

.swiper-menu{
    height: 550px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.map{
    width: 100%;
    height: 400px;
}

.caracteristicas {
  background-image: url('../img/caracteristicas.png');
  height: 700px;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.indicadores {
    
  width: 100%;
  /*background-image: url('../img/indicadores_1.png');
  height: 400px;
  width: 400px;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;*/
}

.menu_media_lg{
  display: inline-flex;
}

.menu_media_sm{
  display: none;
}

/*efect snow*/
#snow-container {  
  height: 100%;
  overflow: hidden;
  position: absolute;
  top: 0;
  transition: opacity 500ms;
  width: 100%;
  z-index: 9999;
}

.snow {
  animation: fall ease-in infinite, sway ease-in-out infinite;
  color: white/*skyblue*/;
  position: absolute;
}

@keyframes fall {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    top: 100vh;
    opacity: 1;
  }
}

@keyframes sway {
  0% {
    margin-left: 0;
  }
  25% {
    margin-left: 50px;
  }
  50% {
    margin-left: -50px;
  }
  75% {
    margin-left: 50px;
  }
  100% {
    margin-left: 0;
  }
}

/*gallery*/
* {
  box-sizing: border-box;
}

input[type=radio] {
  display: none;
}

.containerGallery {
  width: 100%;
  max-width: 1000px;
  max-height: 600px;
  height: 100%;
  transform-style: preserve-3d;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  margin: auto;
}

.card {
  position: absolute;
  width: 60%;
  height: 100%;
  left: 0;
  right: 0;
  margin: auto;
  transition: transform .4s ease;
  cursor: pointer;
}

.cards {
  position: relative;
  width: 100%;
  height: 100%;
  margin-bottom: 20px;
}

.card img {
  width: 100%;
  height: 100%;
  border-radius: 5px;
  object-fit: cover;
}

#item-1:checked ~ .cards #song-3, #item-2:checked ~ .cards #song-1, #item-3:checked ~ .cards #song-2 {
  transform: translatex(-40%) scale(.8);
  opacity: .4;
  z-index: 0;
}

#item-1:checked ~ .cards #song-2, #item-2:checked ~ .cards #song-3, #item-3:checked ~ .cards #song-1 {
  transform: translatex(40%) scale(.8);
  opacity: .4;
  z-index: 0;
}

/*#item-1:checked ~ .cards #song-4, #item-2:checked ~ .cards #song-4, #item-3:checked ~ .cards #song-5 {
  transform: translatex(0) scale(1);
   opacity: .4;
  z-index: 0;
}

#item-1:checked ~ .cards #song-5, #item-2:checked ~ .cards #song-5, #item-3:checked ~ .cards #song-6 {
  transform: translatex(-40%) scale(.8);
  opacity: .4;
  z-index: 0;
}

#item-1:checked ~ .cards #song-6, #item-2:checked ~ .cards #song-6, #item-3:checked ~ .cards #song-1 {
  transform: translatex(40%) scale(.8);
  opacity: .4;
  z-index: 0;
}
*/
#item-1:checked ~ .cards #song-1, #item-2:checked ~ .cards #song-2, #item-3:checked ~ .cards #song-3 {
  transform: translatex(0) scale(1);
  opacity: 1;
  z-index: 1;

  img {
    box-shadow: 0px 0px 5px 0px rgba(81, 81, 81, 0.47);
  }
}


/*mini cards*/
.container-miniCard {
  position : relative;
  /*width : 1100px;*/
  display : flex;
  align-items : center;
  justify-content : center;
  flex-wrap : wrap;
  padding : 30px;  
}

.container-miniCard .minicard {
  position: relative;
  max-width : 300px;
  height : 215px;  
  margin : 30px 10px;
  padding : 20px 15px;
  display : flex;
  flex-direction : column;
  box-shadow : 0 5px 20px rgba(0,0,0,0.2);
  transition : 0.3s ease-in-out;
  border-radius : 5px;
  align-items: anchor-center;
}

.container-miniCard .minicard:hover {
  height : 320px;
}

.container-miniCard .minicard .image-miniCard {
  position : relative;
  width : 260px;
  height : 260px;
  top : -40%;
  text-align: center;
  box-shadow : 0 5px 20px rgba(0,0,0,0.2);
  z-index : 1;
  cursor: pointer;
}

.container-miniCard .minicard .image-miniCard img {
  max-width : 75%;
  border-radius : 15px;
  cursor: pointer;
}

.container-miniCard .minicard .content-miniCard {
  position : relative;
  top : -140px;
  padding : 10px 15px;
  color : #111;
  text-align : justify;

  visibility : hidden;
  opacity : 0;
  transition : 0.3s ease-in-out;  
}

.container-miniCard .minicard:hover .content-miniCard {
   margin-top : 30px;
   visibility : visible;
   opacity : 1;
   transition-delay: 0.2s; 
}

/*polaroid gallery*/
.cardsPolaroid {
  position: relative;  
  list-style-type: none;
  padding: 0;
  /*max-width: 24em;*/
  margin: 20% 0 auto 0;
}

.card {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
  
  background: #fff;
  /*border-radius: 30px;*/
  padding: 10px;
  /*box-shadow: 0 0 40px #000;*/
  transform: translateY(0) rotate(4deg) translateX(25px) scale(1);
  /*transform-origin: 0 0;*/
  
  transition: transform 0.6s cubic-bezier(.8,.2,.1,0.8) 0.1s,
    background 0.4s linear;
  
  cursor: pointer;
  user-select: none;
  
  :last-child { margin-bottom: 0; }
}

.card--next { 
  z-index: 5; 
  transform: translateY(-25px) rotate(4deg) translateX(25px) scale(1);
}

.card--out {
  animation: card-out 0.6s cubic-bezier(.8,.2,.1,0.8);
  transform: translateY(-50px) rotate(8deg) translateX(55px) scale(0.95);
  z-index: 1;
  background: #fff;
}

@keyframes card-out {
  0% { z-index: 20; transform: translateY(0px) rotate(-8deg); }
  50% { transform: translateY(-120%) rotate(-5deg) translateX(-40px); }
  80% { z-index: 1; }
  100% { transform: translateY(-50px) rotate(8deg) translateX(55px) scale(0.95); }
}

.card--current {
  cursor: auto;
  user-select: auto;
  position: relative;
  z-index: 10;
  opacity: 1;
  background: #fff;
  transform: rotate(-1deg) translateX(0%) scale(1);
}

.red{
  fill: #C3345F;
  stroke: #C3345F;
  opacity: 0.9;
}

.green{
  fill: #5C9F4F;
  stroke: #5C9F4F;
  opacity: 0.9;
}

.violet{
  fill: #C44183;
  stroke: #C44183;
  opacity: 0.9;
}

.orange{
  fill: #E59928;
  stroke: #E59928;
  opacity: 0.9;
}

.blue{
  fill: #3399CC;
  stroke: #3399CC;
  opacity: 0.9; 
}

.blue_demon{
  fill: #1365A8;
  stroke: #1365A8;
  opacity: 0.9; 
}

.green_demon{
  fill: #109E83;
  stroke: #109E83;
  opacity: 0.9; 
}

.purple{
  fill: #8F3694;
  stroke: #8F3694;
  opacity: 0.9; 
}

.coffee{
  fill:#611205;
  stroke:#611205;
}

.brown{
  fill:#8c7356;
  stroke:#8c7356;
}

.proceso:hover{
  stroke-width:40px;
  opacity: 1;
  cursor: pointer;
}

.clic{
  position: absolute;
  width: 4%;
  margin-left: 36%;
  opacity: 0.3;
}

.clic_photocard{
  position: absolute;
  width: 8%;
  margin-left: 32%;
  margin-top: 20%;
  opacity: 0.3;
}

.visitas-card {
    background-color: #f9f9f9;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 5px;
    text-align: center;
    max-width: 200px;
    margin: 0 auto;
    font-family: Arial, sans-serif;
    position: fixed;
    bottom: 15px;
    left: 15px;
    cursor: pointer;
    z-index: 1000;
    --side: left;
}

/* Estilos para el número de visitas */
.visitas-count {
    font-size: 2em;
    font-weight: bold;
    color: #333;
}

/* Estilos para el texto "Visitas" */
.visitas-text {
    font-size: 1em;
    color: #777;
    margin-top: 10px;
}



/* Dispositivos pequeños (menores a 576px) */
@media (max-width: 575.98px){
    .et_mobile_menu {
        left: 0;
        padding: 5%;
        width: 100%;
        visibility: visible;
        opacity: 1;
        /*display: none;*/
        z-index: 9999;
        border-top: 3px solid #611205;
        box-shadow: 0 2px 5px rgba(0, 0, 0, .1);
        -moz-box-shadow: 0 2px 5px rgba(0,0,0,.1);
        -webkit-box-shadow: 0 2px 5px rgba(0, 0, 0, .1);
    }

    p {
      font-size: smaller;
      margin: 10px;
    }

    .caracteristicas {
      height: 350px;
    }

    .menu_media_lg{
      display: none;
    }

    .menu_media_sm{
      display: inline-flex;
    }

    .cardsPolaroid .card{
      width: 80%;
      margin: 10% 10% 10% 0;
    }

    .clic_photocard {
        position: absolute;
        width: 15%;
        margin-left: 33%;
        margin-top: 10%;
    }

    .clic{
      width: 10% !important;
    }
}

/*Dispositivos pequeños (576px hacia arriba)*/
@media (min-width: 576px) and (max-width: 767.98px) {
  .et_mobile_menu {
    position: absolute;
    left: 0;
    padding: 5%;
    background: #fff;
    width: 100%;
    visibility: visible;
    opacity: 1;
    /*display: none;*/
    z-index: 9999;
    border-top: 3px solid #611205;
    box-shadow: 0 2px 5px rgba(0, 0, 0, .1);
    -moz-box-shadow: 0 2px 5px rgba(0,0,0,.1);
    -webkit-box-shadow: 0 2px 5px rgba(0, 0, 0, .1);
    }

  p {
    font-size: small;
    margin: 10px;
  }

}